#include <stdio.h>
#include <stdlib.h>
#include <graph.h>
#include "graph_sup.h"

int game_size;

unsigned char* makeSite(unsigned char size) {
    unsigned char* site = calloc(size, sizeof(unsigned char));
    return site;
}

void populateSite(unsigned char* site, int size) {
    for (int i = 0; i < size; i++) {
        site[i] = i+1;
    }
}

void showSite(unsigned char* site, int pos) {
    for (int i = 0; i < game_size; i++) {

    }
}

int main(void) {
    printf("Number of plates : ");
    scanf("%d", &game_size);
    unsigned char* site1 = makeSite(game_size);
    unsigned char* site2 = makeSite(game_size);
    unsigned char* site3 = makeSite(game_size);

    int block_size = ((HEIGHT - HEIGHT/10) / game_size);

    populateSite(site1, game_size);

    InitialiserGraphique();
    CreerFenetre(100, 100, WIDTH, HEIGHT);

    SetColor(100, 100, 200);
    RemplirRectangle(0, 0, WIDTH, HEIGHT);
    SetColor(0, 170, 0);
    RemplirRectangle(0, HEIGHT - block_size, WIDTH, block_size);
    SetColor(255, 255, 255);

    for (int i = 0; i < game_size; i++) {
        for (int j = 0; j < 3; j++) {

        }
    }

    while (1) {
        if (DrawNextFrame()) {

        }
    }
    FermerGraphique();
}